#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	HTML
%define		pnam	Gumbo
Summary:	HTML::Gumbo - HTML5 parser based on gumbo C library
Name:		perl-HTML-Gumbo
Version:	0.18
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e6dd6060e982a7408f5b4cf7bfadd45
URL:		http://search.cpan.org/dist/HTML-Gumbo/
BuildRequires:	gumbo-parser-devel
BuildRequires:	perl(Alien::Base)
BuildRequires:	perl(Alien::LibGumbo) >= 0.03
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gumbo is an implementation of the HTML5 parsing algorithm implemented
as a pure C99 library with no outside dependencies.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/HTML/*.pm
%dir %{perl_vendorarch}/auto/HTML/Gumbo
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/Gumbo/*.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Gumbo.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 08e8bc6
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 4220078
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 1464421
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 48fb150
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 709c6ef
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dd9972
- up to 0.18

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 78ccd50
- release 2 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 5561b21
- this requires gumbo library to build

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e24ad4
- up to 0.17

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 26e656f
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ed8458e
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 85dbea7
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d020fb4
- release 8 (by relup.sh)

* Wed Mar 11 2015 Jan Rękorajski <baggins@pld-linux.org> 7f62e4e
- any perl-Module-Build suffices
- rel 7

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a52d0a6
- x32 rebuild
- release 6 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 90f5508
- updated BRs
- rel 5

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> d6586d3
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 595ea2e
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2020e65
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Tue Sep 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 51d6da7
- rel 1; Alien::LibGumbo always needed

